# com.beasys.commerce.ebusiness.shipping
ShippingMethodPk Class

public class ShippingMethodPk
extends `SmartKey`
implements `Serializable`

This is a PrimaryKey for managing the life cycle of a BSC Configurable/Entity bean. It is derived from SmartKey which requires that the classes be serializable and comparable. This class is generated by Theory Center's SmartGenartor.

Hierarchy
  `Object`
  `SmartKey`
  `ShippingMethodPk`

All Implemented Interfaces
  `Comparable`, `Serializable`

## Field Summary

`public `String`` | `identifier` String

## Constructor Summary

ShippingMethodPk() Default constructor.
ShippingMethodPk(`String` identifier) Constructor that takes in all of the primary key attributes as parameters.

## Method Summary

`public int` | `compareTo`(`Object` o) Implements the compareTo method.
`public int` | `hashCode`() override the hashCode() method
`public `String`` | `toString`() Returns the stringified version of the key class.

Methods from `com.beasys.commerce.foundation.`SmartKey``
``equals`,`

Methods from class `java.lang.`Object``
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods from interface `java.lang.`Comparable``
`compareTo`

## Field Detail

### identifier

    public String identifier

## Constructor Detail

### ShippingMethodPk

    public ShippingMethodPk()

  Default constructor.

### ShippingMethodPk

    public ShippingMethodPk(String identifier)

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

## Method Detail

### compareTo(Object) Method

    public int compareTo(Object o)

Implements the compareTo method. The following conditions hold true:

       (a > b) ==> (b < a)
       (a < b) ==> (b > a)
       (a = b) ==> (b = a)

Overrides
  `SmartKey.compareTo(Object)`

#### Parameters

o
  the Object to be compared.

#### Returns

a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### hashCode() Method

    public int hashCode()

override the hashCode() method

Overrides
  `Object.hashCode()`

### toString() Method

    public String toString()

Returns the stringified version of the key class.

Overrides
  `SmartKey.toString()`

#### Returns

A `String` representation of the SmartKey.